local commandlist = { --commandlist
	"+LookPress",
	"+TurnLeft",
	"+TurnRight",
	"+TurnUp",
	"+TurnDown",
	"+StrafeLeft",
	"+StrafeRight",
	"+StrafeUp",
	"+StrafeDown",
	"+RotateCW",
	"+RotateCCW",
	"+Accelerate",
	"+Decelerate",
	"+Turbo",
	"+Brakes",
	"+Shoot2",
	"+Shoot1",
	"+Shoot3",
	"Weapon1",
	"Weapon2",
	"Missile1",
	"Missile2",
	"Missile3",
	"Mine1",
	--"Mine2",	--Again, appears to be no such thing.
	"RadarNext",
	"RadarPrev",
	"RadarNextFront",
	"RadarPrevFront",
	"RadarNextFrontEnemy",
	"RadarPrevFrontEnemy",
	"RadarNextNearestPowerup",
	"RadarPrevNearestPowerup",
	"RadarNextNearestEnemy",
	"RadarHitBy",
	"RadarNone",
	"+TopList",
	"ConsoleToggle",
	"ViewToggle",
	"CameraToggle",
	"HudToggle",
	"allhudtoggle",
	"HudMode",
	"Activate",
	"FlyModeToggle",
	"MLookToggle",
	"Jettison",
	"ToggleInventory",
	"missionchat",
	"Say_Channel",
	"Say_Group",
	"Say_Guild",
	"Say_Sector",
	"Say_Help",
	"scrollback",
	"scrollforward",
	"ToggleHostiles",
	"ToggleFriendlies",
	"ToggleWormholes",
	"ToggleObjects",
	"ToggleStations",
	"ToggleCargo",
	"ToggleMissiles",
	"ShowAll",
	"explode",
	"Dump",
	"nav",
	"charinfo",
	"toggleautoaim",
	"hudscale",
	"hail",
	"+ptt",
} 

local joystick_cmds = { -- joystick_cmds
	-- cmd name = visual name
	["NONE"] = "none",
	["Turn"] = "Turn",
	["Pitch"] = "Pitch",
	["Roll"] = "Roll",
	["Throttle"] = "Throttle",
	["Accel"] = "Accelerate",
	["StrafeLR"] = "Strafe Left/Right",
	["StrafeUD"] = "Strafe Up/Down",
}

local joycmdlist2 = { -- joycmdlist2
	-- cmd name = index
	["NONE"] = 1,
	["Turn"] = 2,
	["Pitch"] = 3,
	["Roll"] = 4,
	["Throttle"] = 5,
	["Accel"] = 6,
	["StrafeLR"] = 7,
	["StrafeUD"] = 8,
	["+LookX"] = 9,
	["+LookY"] = 10,
}


local joycmdlist3 = { -- joycmdlist3
	-- index = cmd name
	"NONE",
	"Turn",
	"Pitch",
	"Roll",
	"Throttle",
	"Accel",
	"StrafeLR",
	"StrafeUD",
	"+LookX",
	"+LookY",
}

local joycmdlist = { -- joycmdlist
	"none",
	"Turn",
	"Pitch",
	"Roll",
	"Throttle",
	"Accelerate",
	"Strafe Left/Right",
	"Strafe Up/Down",
	"+LookX",
	"+LookY",
	
	dropdown="YES",
	expand="NO",
}

return commandlist, joystick_cmds, joycmdlist2, joycmdlist3, joycmdlist